This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 19059 - Bad symbol table w/ SMP build. Won't boot.
Bad symbol table w/ SMP build. Won't boot.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-13 12:21 EDT by pdelaney
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 21:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pdelaney 2000-10-13 12:21:00 EDT
Fresh install of Red Hat 7.0 to Dell SMP 686 system (scsi boot). Rebuilt 
kernel with SMP enabled. __SMP__ is defined on make of kernel and make of 
modules.  Make modules produces assembler messages:
Warning: Ignoring changed section attributes for .modinfo
On SMP reboot, standard kernel functions are reported, for example, as: 
Unresolved symbol: check_region_R522f4d72
preventing boot. UP boot is successful.

Dumped the symbol table for the compiled driver and compared it to the 
symbol tables generated by the UP and SMP modules built by Red Hat. The 
symbol table for kernel functions was the same as the UP build! That is:
Red Hat UP built:  check_region_R522f4d72
Red Hat SMP built: check_region_Rsmp522f4d72
My SMP build: check_region_R522f4d72

On my build, nm drivers/scsi/*.o | grep "Rsmp" indicates that all of the 
scsi drivers have UP symbol tables - which will prevent boot with a SMP 
kernel.

A fix or help would be appreciated.
Note: Problem 18753 may be related - as was having SMP problems.
Thanks, in advance.
Comment 1 Perry Harrington 2000-12-07 04:05:23 EST
there is an additional directory in redhat kernel source releases called
'config'.  These are the .config files that the various release kernels are
built from.  Simply copy the appropriate one to .config in the parent directory
and do a 'make oldconfig'.  Proceed to do a standard kernel build after that. 
It would appear that the config file you are using is a UP default file.

Note You need to log in before you can comment on or make changes to this bug.